Index: extensions/PHP_Optimisateur/plugins/convert_pan/setup.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/convert_pan/setup.php	(revision 9633)
+++ extensions/PHP_Optimisateur/plugins/convert_pan/setup.php	(revision 10337)
@@ -1,8 +1,9 @@
 <?php
+load_plugin_lang('convert_pan');
+
 switch ($PLUGIN_ACTION) {
 	// Affichage simple de la configuration
 	case 'read_config':
-		load_plugin_lang('convert_pan');
-		$PAGE_CONTENT[0] .= '
+		$PAGE['content'] .= '
 		<table>
 			<tr>
@@ -12,5 +13,5 @@
 			
 			if ($plugin_config['DetectMode'] == 'name') {
-				$PAGE_CONTENT[0] .= '
+				$PAGE['content'] .= '
 				<tr>
 					<td>'.l10n('convert_pan.NAMEpanorama').' :</td>
@@ -18,5 +19,5 @@
 				</tr>';
 			} else if ($plugin_config['DetectMode'] == 'ratio') {
-				$PAGE_CONTENT[0] .= '
+				$PAGE['content'] .= '
 				<tr>
 					<td>'.l10n('convert_pan.RatioPan').' :</td>
@@ -25,8 +26,8 @@
 			}
 			
-			$PAGE_CONTENT[0] .= '
+			$PAGE['content'] .= '
 			<tr>
 				<td>'.l10n('convert_pan.DIMpanorama').' :</td>
-				<td>'.$plugin_config['DIMpanorama'].'px</td>
+				<td>'.$plugin_config['DIMpanorama'].' px</td>
 			</tr>
 			<tr>
@@ -43,13 +44,13 @@
 		if (!is_decimal($_POST['Plugins']['convert_pan']['DIMpanorama'])) {
 			$_POST['Plugins']['convert_pan']['DIMpanorama'] = 500;
-			$Errors['ErrorConfig'] = 'notice';
+			$ERRORS['conf'][] = array(l10n('convert_pan.DIMpanorama'), 'must_be_integer');
 		}
 		if (!is_decimal($_POST['Plugins']['convert_pan']['RatioPanThumb'])) {
 			$_POST['Plugins']['convert_pan']['RatioPanThumb'] = 1.7;
-			$$Errors['ErrorConfig'] = 'notice';
+			$ERRORS['conf'][] = array(l10n('convert_pan.RatioPanThumb'), 'must_be_decimal');
 		}
 		if (!is_decimal($_POST['Plugins']['convert_pan']['RatioPan'])) {
 			$_POST['Plugins']['convert_pan']['RatioPan'] = 2.85;
-			$$Errors['ErrorConfig'] = 'notice';
+			$ERRORS['conf'][] = array(l10n('convert_pan.RatioPan'), 'must_be_decimal');
 		}
 		
@@ -58,6 +59,5 @@
 	// Formulaire d'édition
 	case 'edit_config':
-		load_plugin_lang('convert_pan');
-		$PAGE_CONTENT[0] .= '
+		$PAGE['content'] .= '
 		<script type="text/javascript">
 			function ToggleConfig(sel, section){
Index: extensions/PHP_Optimisateur/plugins/create_custom_thumbs/language/en_UK.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/create_custom_thumbs/language/en_UK.php	(revision 10337)
+++ extensions/PHP_Optimisateur/plugins/create_custom_thumbs/language/en_UK.php	(revision 10337)
@@ -0,0 +1,5 @@
+<?php
+$Lang['create_custom_thumbs.unactive'] = "&nbsp;&nbsp;'0' to unactive";
+$Lang['create_custom_thumbs.DIMthumbnailV'] = "Thumbnails height";
+$Lang['create_custom_thumbs.FRAMEparams'] = "Border";
+?>
Index: extensions/PHP_Optimisateur/plugins/create_custom_thumbs/language/fr_FR.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/create_custom_thumbs/language/fr_FR.php	(revision 10337)
+++ extensions/PHP_Optimisateur/plugins/create_custom_thumbs/language/fr_FR.php	(revision 10337)
@@ -0,0 +1,5 @@
+<?php
+$Lang['create_custom_thumbs.unactive'] = "&nbsp;&nbsp;'0' pour désactiver";
+$Lang['create_custom_thumbs.DIMthumbnailV'] = "Hauteur des miniatures";
+$Lang['create_custom_thumbs.FRAMEparams'] = "Bordure";
+?>
Index: extensions/PHP_Optimisateur/plugins/create_custom_thumbs/main.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/create_custom_thumbs/main.php	(revision 9633)
+++ extensions/PHP_Optimisateur/plugins/create_custom_thumbs/main.php	(revision 10337)
@@ -2,5 +2,5 @@
 /***************************************\
 |			PHP OPTIMISATEUR			|
-|	  Plugin CreateCustomThumbs 1.0.a	|
+|	  Plugin CreateCustomThumbs 1.1		|
 \***************************************/
 
@@ -8,8 +8,10 @@
 ## Dépend de la valeur de $CONF['DIMthumbnail']
 
+if (!isset($BlockAll)) {
+
 // CreateCustomThumbs à la priorité sur ConvertPan
 if (isset($BlockThumbnail['convert_pan']) OR !isset($BlockThumbnail)) { 
 
-	$FileSource = $FilesSource[$i]; // fichier de travail
+	if(!isset($CCT_filesource)) $CCT_filesource = $FilesSource[$i]; // fichier de travail
 	$CCT_dimthumbnail = $CONF['Plugins']['create_custom_thumbs']['DIMthumbnailV']; // Hauteur de l'image
 	$CCT_frameparams = $CONF['Plugins']['create_custom_thumbs']['FRAMEparams']; // Paramètres du cadre
@@ -30,11 +32,11 @@
 		}
 		
-		$offset_x = ($tmp_x - $CONF['DIMthumbnail']) / 2;
-		$offset_y = ($tmp_y - $CCT_dimthumbnail) / 2;
+		$offset_x = ceil(($tmp_x - $CONF['DIMthumbnail']) / 2);
+		$offset_y = ceil(($tmp_y - $CCT_dimthumbnail) / 2);
 		
-		exec('include\nconvert.exe -overwrite -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$resize_param.' -crop '.$offset_x.' '.$offset_y.' '.$CONF['DIMthumbnail'].' '.$CCT_dimthumbnail.' -rmeta -rexifthumb 	"'.$FileSource.'"');
+		nconvert('-overwrite -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$resize_param.' -crop '.$offset_x.' '.$offset_y.' '.$CONF['DIMthumbnail'].' '.$CCT_dimthumbnail.' -rmeta -rexifthumb "'.$CCT_filesource.'"');
 		
 		$BlockThumbnail['create_custom_thumbs'] = true;
-		$FileSource = $FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg';
+		$CCT_filesource = $file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg';
 	}
 
@@ -42,10 +44,10 @@
 	if ($CCT_frameparams['size1'] != 0 OR $CCT_frameparams['size2'] != 0) {
 		// Si la miniature n'a pas encore été générée il faut le faire
-		if ($FileSource == $FilesSource[$i]) {
-			exec('include\nconvert.exe -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMthumbnail'].' '.$CONF['DIMthumbnail'].' -rmeta -rexifthumb 	"'.$FilesSource[$i].'"');
-			$FileSource = $FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg';
+		if ($CCT_filesource == $FilesSource[$i]) {
+			nconvert('-q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMthumbnail'].' '.$CONF['DIMthumbnail'].' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
+			$CCT_filesource = $file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg';
 		}
 
-		$img = imagecreatefromjpeg($FileSource);
+		$img = imagecreatefromjpeg($CCT_filesource);
 		$x = imagesx($img)-1;
 		$y = imagesy($img)-1;
@@ -63,11 +65,12 @@
 		}
 		
-		imagejpeg($img, $FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg', $CONF['Qthumbnail']);
+		imagejpeg($img, $file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg', $CONF['Qthumbnail']);
 		imagedestroy($img);
 		
 		$BlockThumbnail['create_custom_thumbs'] = true;
-		$FileSource = $FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg';
+		$CCT_filesource = $file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg';
 	}
 }
 
+}
 ?>
Index: extensions/PHP_Optimisateur/plugins/create_custom_thumbs/setup.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/create_custom_thumbs/setup.php	(revision 9633)
+++ extensions/PHP_Optimisateur/plugins/create_custom_thumbs/setup.php	(revision 10337)
@@ -1,16 +1,16 @@
 <?php
+load_plugin_lang('create_custom_thumbs');
+
 switch ($PLUGIN_ACTION) {
 	// Affichage simple de la configuration
 	case 'read_config':
-		load_plugin_lang('create_custom_thumbs');
-		
 		$plugin_config['FRAMEparams']['color1'] = nice_hex_color($plugin_config['FRAMEparams']['color1']);
 		$plugin_config['FRAMEparams']['color2'] = nice_hex_color($plugin_config['FRAMEparams']['color2']);
 		
-		$PAGE_CONTENT[0] .= '
+		$PAGE['content'] .= '
 		<table>
 			<tr>
 				<td>'.l10n('create_custom_thumbs.DIMthumbnailV').' :</td>
-				<td>'.bool_to_string($plugin_config['DIMthumbnailV']).'</td>
+				<td>'.bool_to_string($plugin_config['DIMthumbnailV']).' px</td>
 			</tr>
 			<tr>
@@ -36,18 +36,18 @@
 	// Actions avant enregistrement
 	case 'save_config':
-		$_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['color1'] = str_replace('#','', $_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['color1']);
-		$_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['color2'] = str_replace('#','', $_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['color2']);
+		$_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['color1'] = str_replace('#',null, $_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['color1']);
+		$_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['color2'] = str_replace('#',null, $_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['color2']);
 		
 		if (!is_decimal($_POST['Plugins']['create_custom_thumbs']['DIMthumbnailV'])) {
 			$_POST['Plugins']['create_custom_thumbs']['DIMthumbnailV'] = 0;
-			$Errors['ErrorConfig'] = 'notice';
+			$ERRORS['conf'][] = array(l10n('create_custom_thumbs.DIMthumbnailV'), 'must_be_integer');
 		}
 		if (!is_decimal($_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['size1'])) {
 			$_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['size1'] = 0;
-			$Errors['ErrorConfig'] = 'notice';
+			$ERRORS['conf'][] = array(l10n('create_custom_thumbs.FRAMEparams').' 1', 'must_be_integer');
 		}
 		if (!is_decimal($_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['size2'])) {
 			$_POST['Plugins']['create_custom_thumbs']['FRAMEparams']['size2'] = 0;
-			$Errors['ErrorConfig'] = 'notice';
+			$ERRORS['conf'][] = array(l10n('create_custom_thumbs.FRAMEparams').' 2', 'must_be_integer');
 		}
 		
@@ -57,15 +57,13 @@
 	// Formulaire d'édition
 	case 'edit_config':
-		load_plugin_lang('create_custom_thumbs');
-
 		$plugin_config['FRAMEparams']['color1'] = nice_hex_color($plugin_config['FRAMEparams']['color1']);
 		$plugin_config['FRAMEparams']['color2'] = nice_hex_color($plugin_config['FRAMEparams']['color2']);
 		
-		$PAGE_CONTENT[0] .='
+		$PAGE['content'] .='
 		<table>
 			<tr>
 				<td>'.l10n('create_custom_thumbs.DIMthumbnailV').' :</td>
 				<td>
-					<input type="text" name="Plugins[create_custom_thumbs][DIMthumbnailV]" value="'.$plugin_config['DIMthumbnailV'].'" size="3"/>
+					<input type="text" name="Plugins[create_custom_thumbs][DIMthumbnailV]" value="'.$plugin_config['DIMthumbnailV'].'" size="3"/>px
 					<i>'.l10n('create_custom_thumbs.unactive').'</i>
 				</td>
Index: extensions/PHP_Optimisateur/plugins/create_folders_alpha/main.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/create_folders_alpha/main.php	(revision 9633)
+++ extensions/PHP_Optimisateur/plugins/create_folders_alpha/main.php	(revision 10337)
@@ -2,5 +2,5 @@
 /***************************************\
 |			PHP OPTIMISATEUR			|
-|	  Plugin CreateFoldersAlpha 1.1		|
+|	  Plugin CreateFoldersAlpha 1.2		|
 \***************************************/
 
@@ -19,11 +19,19 @@
 			// Crée les dossier
 			if (!file_exists($CONF['DIRsource'].$Letter.'/'.$FolderName)) {
-				mkdir($CONF['DIRsource'].$Letter.'/'.$FolderName, 0777, true);
+				mkdir_log($CONF['DIRsource'].$Letter.'/'.$FolderName);
 			}
 			
 			// Déplace le fichier
-			rename($CONF['DIRsource'].$file, $CONF['DIRsource'].$Letter.'/'.$FolderName.'/'.$file);
+			rename_log($CONF['DIRsource'].$file, $CONF['DIRsource'].$Letter.'/'.$FolderName.'/'.$file, true);
+		
+		} else {
+			$LOG[] = 'The file '.$CONF['DIRsource'].$file.' doesn\'t match the patern #^(.{1})([^_.]*)_(.*)#, not moved';
 		}
-	}	
+		
+		$done = true;
+	}
 }
+
+if (isset($done)) $LOG[] = "\r\n";
+
 ?>
Index: extensions/PHP_Optimisateur/plugins/front2back_support/language/en_UK.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/front2back_support/language/en_UK.php	(revision 10337)
+++ extensions/PHP_Optimisateur/plugins/front2back_support/language/en_UK.php	(revision 10337)
@@ -0,0 +1,6 @@
+<?php
+$Lang['front2back_support.unactive'] = "&nbsp;&nbsp;empty to unactive";
+$Lang['front2back_support.NAMEverso'] = "Distinctive suffix";
+$Lang['front2back_support.MOVEverso'] = "Move input file";
+$Lang['front2back_support.TAGverso'] = "Add IPTC tag";
+?>
Index: extensions/PHP_Optimisateur/plugins/front2back_support/language/fr_FR.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/front2back_support/language/fr_FR.php	(revision 10337)
+++ extensions/PHP_Optimisateur/plugins/front2back_support/language/fr_FR.php	(revision 10337)
@@ -0,0 +1,6 @@
+<?php
+$Lang['front2back_support.unactive'] = "&nbsp;&nbsp;vide pour désactiver";
+$Lang['front2back_support.NAMEverso'] = "Suffixe distinctif";
+$Lang['front2back_support.MOVEverso'] = "Déplacer le fichier source";
+$Lang['front2back_support.TAGverso'] = "Tag IPTC à ajouter";
+?>
Index: extensions/PHP_Optimisateur/plugins/front2back_support/main.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/front2back_support/main.php	(revision 9633)
+++ extensions/PHP_Optimisateur/plugins/front2back_support/main.php	(revision 10337)
@@ -2,5 +2,5 @@
 /***************************************\
 |			PHP OPTIMISATEUR			|
-|	  Plugin Front2Back Support 1.1.a	|
+|	  Plugin Front2Back Support 1.2		|
 \***************************************/
 
@@ -11,25 +11,40 @@
 $F2B_nameverso = $CONF['Plugins']['front2back_support']['NAMEverso']; // Suffixe des versions alternatives
 $F2B_moveverso = $CONF['Plugins']['front2back_support']['MOVEverso']; // Déplacer les images originales dans un sous dosssier 'verso'
+$F2B_tagverso  = $CONF['Plugins']['front2back_support']['TAGverso'];  // Ajoute un tag à toutes les images possédant une version alternative
 
-if (strpos($FileName, $F2B_nameverso) !== false) {
-	$FileNameClean = str_replace($F2B_nameverso, '', $FileName);
+if (!isset($BlockAll)) {
+
+// applique le tag au fichier normal si il existe un verso
+if (file_exists($file['folder_src'].$file['name'].$F2B_nameverso.'.'.$file['ext']) AND !empty($F2B_tagverso)) {
+	nconvert('-iptc_add 25 "'.$F2B_tagverso.'" "'.$FilesSource[$i].'"');
+	$LOG[] = 'Tag "'.$F2B_tagverso.'" added to '.$FilesSource[$i];
+}
+
+if (strpos($file['name'], $F2B_nameverso) !== false) {
+	$file['name_clean'] = str_replace($F2B_nameverso,null,$file['name']);
+	
+	if (!empty($F2B_tagverso)) {
+		nconvert('-iptc_add 25 "'.$F2B_tagverso.'" "'.$FilesSource[$i].'"');
+		$LOG[] = 'Tag "'.$F2B_tagverso.'" added to '.$FilesSource[$i];
+	}
 	
 	// Image normale
-	if (!file_exists($FileFolder.'thumbnail/verso')) {
-		mkdir($FileFolder.'thumbnail/verso');
+	if (!file_exists($file['folder_out'].'thumbnail/verso')) {
+		mkdir_log($file['folder_out'].'thumbnail/verso');
 	}
-	exec('include\nconvert.exe -q '.$CONF['Qnormal'].' -out jpeg -o "'.$FileFolder.'thumbnail/verso/'.$FileNameClean.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMnormal'].' '.$CONF['DIMnormal'].' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
+	nconvert('-q '.$CONF['Qnormal'].' -out jpeg -o "'.$file['folder_out'].'thumbnail/verso/'.$file['name_clean'].'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMnormal'].' '.$CONF['DIMnormal'].' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
 	
 	// Image hd
 	if ($CONF['DIRhighORNOT']) {
-		if (!file_exists($FileFolder.'pwg_high/verso')) {
-			mkdir($FileFolder.'pwg_high/verso');
+		if (!file_exists($file['folder_out'].'pwg_high/verso')) {
+			mkdir($file['folder_out'].'pwg_high/verso');
+			$LOG[] = 'Dir '.$file['folder_out'].'pwg_high/verso/ created';
 		}
 		if ($CONF['DIMhdORNOT']) {
-			exec('include\nconvert.exe -q '.$CONF['Qhd'].' -out jpeg -o "'.$FileFolder.'pwg_high/verso/'.$FileNameClean.'.jpg" -dpi '.$CONF['DPI'].' '.$CONF['convOptions'].' -resize '.$CONF['DIMhd'].' '.$CONF['DIMhd'].' '.$CONF['copyHD'].' "'.$FilesSource[$i].'"');
-		} else if (!in_array($FileExt, $CONF['JPGexts'])) {
-			exec('include\nconvert.exe -q '.$CONF['Qhd'].' -out jpeg -o "'.$FileFolder.'pwg_high/'.$FileNameClean.'.jpg" "'.$FilesSource[$i].'"');
+			nconvert('-q '.$CONF['Qhd'].' -out jpeg -o "'.$file['folder_out'].'pwg_high/verso/'.$file['name_clean'].'.jpg" -dpi '.$CONF['DPI'].' '.$CONF['convOptions'].' -resize '.$CONF['DIMhd'].' '.$CONF['DIMhd'].' '.$CONF['copyHD'].' "'.$FilesSource[$i].'"');
+		} else if (strtolower($file['ext']) != 'jpg') {
+			nconvert('-q '.$CONF['Qhd'].' -out jpeg -o "'.$file['folder_out'].'pwg_high/'.$file['name_clean'].'.jpg" "'.$FilesSource[$i].'"');
 		} else {
-			copy($FilesSource[$i], $FileFolder.'pwg_high/verso/'.$FileNameClean.'.jpg');
+			copy_log($FilesSource[$i], $file['folder_out'].'pwg_high/verso/'.$file['name_clean'].'.jpg');
 		}
 	}
@@ -37,14 +52,17 @@
 	// Déplacement de l'image originale
 	if ($F2B_moveverso) {
-		$FileFolderSource = str_replace($CONF['DIRsortie'], $CONF['DIRsource'], $FileFolder);
-		if (!file_exists($FileFolderSource.'verso')) {
-			mkdir($FileFolderSource.'verso', 0777, true);
+		if (!file_exists($file['folder_src'].'verso')) {
+			mkdir_log($file['folder_src'].'verso', 0777, true);
 		}
-		rename($FileFolderSource.$FileName.'.'.$FileExt, $FileFolderSource.'verso/'.$FileNameClean.'.'.$FileExt);
+		rename_log($file['folder_src'].$file['name'].'.'.$file['ext'], $file['folder_src'].'verso/'.$file['name_clean'].'.'.$file['ext'], true);
 	}
 	
 	// Suppression de la miniature si déjà crée (par un autre plugin)
-	if (file_exists($FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg')) {
-		unlink($FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg');
+	if (file_exists($file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg')) {
+		unlink($file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg');
+	}
+	// Suppression de l'image HD si déjà crée (par un autre plugin)
+	if (file_exists($file['folder_out'].'pwg_high/'.$file['name'].'.jpg')) {
+		unlink($file['folder_out'].'pwg_high/'.$file['name'].'.jpg');
 	}
 	
@@ -53,3 +71,5 @@
 	$BlockHigh['front2back_support'] = true;
 }
+
+}
 ?>
Index: extensions/PHP_Optimisateur/plugins/front2back_support/setup.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/front2back_support/setup.php	(revision 9633)
+++ extensions/PHP_Optimisateur/plugins/front2back_support/setup.php	(revision 10337)
@@ -1,8 +1,9 @@
 <?php
+load_plugin_lang('front2back_support');
+
 switch ($PLUGIN_ACTION) {
 	// Affichage simple de la configuration
 	case 'read_config':
-		load_plugin_lang('front2back_support');
-		$PAGE_CONTENT[0] .= '
+		$PAGE['content'] .= '
 		<table>
 			<tr>
@@ -13,4 +14,8 @@
 				<td>'.l10n('front2back_support.MOVEverso').' :</td>
 				<td>'.bool_to_string($plugin_config['MOVEverso']).'</td>
+			</tr>
+			<tr>
+				<td>'.l10n('front2back_support.TAGverso').' :</td>
+				<td>'.$plugin_config['TAGverso'].'</td>
 			</tr>
 		</table>';
@@ -24,6 +29,5 @@
 	// Formulaire d'édition
 	case 'edit_config':
-		load_plugin_lang('front2back_support');
-		$PAGE_CONTENT[0] .= '
+		$PAGE['content'] .= '
 		<table>
 			<tr>
@@ -40,4 +44,11 @@
 				</td>
 			</tr>
+			<tr>
+				<td>'.l10n('front2back_support.TAGverso').' :</td>
+				<td>
+					<input type="text" name="Plugins[front2back_support][TAGverso]" value="'.$plugin_config['TAGverso'].'" size="10"/>
+					<i>'.l10n('front2back_support.unactive').'</i>
+				</td>
+			</tr>
 		</table>';
 		break;
Index: extensions/PHP_Optimisateur/plugins/watermark/language/en_UK.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/watermark/language/en_UK.php	(revision 10337)
+++ extensions/PHP_Optimisateur/plugins/watermark/language/en_UK.php	(revision 10337)
@@ -0,0 +1,4 @@
+<?php
+$Lang['watermark.waterFILE'] = "File";
+$Lang['watermark.waterALPHA'] = "Opacity";
+?>
Index: extensions/PHP_Optimisateur/plugins/watermark/language/fr_FR.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/watermark/language/fr_FR.php	(revision 10337)
+++ extensions/PHP_Optimisateur/plugins/watermark/language/fr_FR.php	(revision 10337)
@@ -0,0 +1,4 @@
+<?php
+$Lang['watermark.waterFILE'] = "Fichier";
+$Lang['watermark.waterALPHA'] = "Opacité";
+?>
Index: extensions/PHP_Optimisateur/plugins/watermark/setup.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/watermark/setup.php	(revision 9633)
+++ extensions/PHP_Optimisateur/plugins/watermark/setup.php	(revision 10337)
@@ -1,8 +1,9 @@
 <?php
+load_plugin_lang('watermark');
+
 switch ($PLUGIN_ACTION) {
 	// Affichage simple de la configuration
 	case 'read_config':
-		load_plugin_lang('watermark');
-		$PAGE_CONTENT[0] .= '
+		$PAGE['content'] .= '
 		<table>
 			<tr>
@@ -12,5 +13,5 @@
 			<tr>
 				<td>'.l10n('watermark.waterALPHA').' :</td>
-				<td>'.$plugin_config['waterALPHA'].'%</td>
+				<td>'.$plugin_config['waterALPHA'].' %</td>
 			</tr>
 		</table>';
@@ -21,5 +22,5 @@
 		if (!is_decimal($_POST['Plugins']['watermark']['waterALPHA'])) {
 			$_POST['Plugins']['watermark']['waterALPHA'] = 80;
-			$Errors['ErrorConfig'] = 'notice';
+			$ERRORS['conf'][] = array(l10n('watermark.waterALPHA'), 'must_be_integer');
 		}
 		
@@ -28,6 +29,5 @@
 	// Formulaire d'édition
 	case 'edit_config':
-		load_plugin_lang('watermark');
-		$PAGE_CONTENT[0] .= '
+		$PAGE['content'] .= '
 		<table>
 			<tr>
